AC_DEFUN(GST_FUNC_OBSTACK, [

AC_CACHE_CHECK(for obstacks, am_cv_func_obstack, [
  AC_TRY_LINK([#include "obstack.h"],
	      [struct obstack *mem;obstack_free(mem,(char *) 0)],
	      am_cv_func_obstack=yes,
	      am_cv_func_obstack=no)
])
if test $am_cv_func_obstack = yes; then
  AC_DEFINE(HAVE_OBSTACK, 1, [Define if you have the obstack function.])
else
  LIBOBJS="$LIBOBJS obstack.o"
fi

])dnl
